package com.yanzhu.jh.project.mapper;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProjectInvest;

/**
 * 项目投资Mapper接口
 * 
 * @author JiangYuQi
 * @date 2023-07-29
 */
public interface SurProjectInvestMapper 
{
    /**
     * 查询项目投资
     * 
     * @param id 项目投资主键
     * @return 项目投资
     */
    public SurProjectInvest selectSurProjectInvestById(Long id);

    /**
     * 查询项目投资列表
     * 
     * @param surProjectInvest 项目投资
     * @return 项目投资集合
     */
    public List<SurProjectInvest> selectSurProjectInvestList(SurProjectInvest surProjectInvest);

    /**
     * 新增项目投资
     * 
     * @param surProjectInvest 项目投资
     * @return 结果
     */
    public int insertSurProjectInvest(SurProjectInvest surProjectInvest);

    /**
     * 修改项目投资
     * 
     * @param surProjectInvest 项目投资
     * @return 结果
     */
    public int updateSurProjectInvest(SurProjectInvest surProjectInvest);

    /**
     * 删除项目投资
     * 
     * @param id 项目投资主键
     * @return 结果
     */
    public int deleteSurProjectInvestById(Long id);

    /**
     * 批量删除项目投资
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectInvestByIds(Long[] ids);
}
